<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>

<xsl:strip-space elements='*'/>
<xsl:output method='xml'/>

<!-- Narval prototype ====================================================== -->

<al:prototype xmlns:al="http://www.logilab.org/namespaces/Narval/1.2"
xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
<al:description lang="fr">Transforme RDF en RSS.</al:description>
<al:description lang="en">Turn RDF into RSS.</al:description>
<al:input id='input'><al:match>rdf:RDF</al:match></al:input>
<al:output id='output'><al:match>rss</al:match></al:output>
</al:prototype>

<xsl:template match="rdf:RDF">
  <rss>
    <xsl:apply-templates select="//channel"/>
  </rss>
</xsl:template>

<xsl:template match="channel">
  <xsl:copy>
  <xsl:copy-of select="@*|node()"/>
  <xsl:copy-of select="//image"/>
  <xsl:copy-of select="//item"/>
  </xsl:copy>
</xsl:template>

</xsl:transform>
