<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>

<xsl:strip-space elements='*'/>
<xsl:output method='xml'/>

<!-- Narval prototype ====================================================== -->

<al:prototype xmlns:al="http://www.logilab.org/namespaces/Narval/1.2">
<al:description lang="fr">transforme un lment rss en data-unit.</al:description>
<al:description lang="en">changes rss to data-unit</al:description>

<al:input id='input'  list='yes'><al:match>rss</al:match>
<al:description lang="en">rss elements to transform</al:description></al:input>
<al:output id='output'  list='yes'><al:match>data-unit[url]</al:match>
<al:description lang="en">data-unit "ready to download" (you have to download its
data before the sort)</al:description></al:output>
</al:prototype>

<!-- root ================================================================== -->

<xsl:template match='rss/channel/item'>
  <data-unit>
    <url><xsl:value-of select='link'/></url>
    <channel-title><xsl:value-of select='../title'/></channel-title>
    <title><xsl:value-of select='title'/></title>
    <data>
<xsl:apply-templates mode='multi' select='title'/>
<xsl:apply-templates mode='multi' select='title'/>
<xsl:apply-templates mode='multi' select='description'/>
    </data>
    <description>
<xsl:apply-templates mode='multi' select='description'/>
    </description>
  </data-unit>
</xsl:template>

</xsl:transform>

