<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>

<xsl:strip-space elements='*'/>
<xsl:output method='xml'/>

<!-- Narval prototype ====================================================== -->

<al:prototype xmlns:al="http://www.logilab.org/namespaces/Narval/1.2">
<al:description lang="fr">Transforme slashdot.xml en RSS.</al:description>
<al:description lang="en">Turn slashdot.xml into RSS.</al:description>

<al:input id='input' ><al:match>backslash</al:match>
<al:description lang="en">slashdot formatted element</al:description></al:input>
<al:output id='output' ><al:match>rss</al:match>
<al:description lang="en">rss element</al:description></al:output>
</al:prototype>

<xsl:template match='backslash'>
  <rss>
    <channel>
      <title>Slashdot: News for nerds, stuff that matters</title>
      <link>http://slashdot.org</link>
      <description>News for nerds, stuff that matters</description>
      <xsl:apply-templates select='story'/>
    </channel>
  </rss>
</xsl:template>

<xsl:template match='story'>
  <item>
    <xsl:copy-of select='title'/>
    <link>
      <xsl:value-of select='url'/>
    </link>
  </item>
</xsl:template>

</xsl:transform>
