<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>

<xsl:strip-space elements='*'/>
<xsl:output method='xml'/>

<!-- Narval prototype ====================================================== -->

<al:prototype xmlns:al="http://www.logilab.org/namespaces/Narval/1.2">
<al:description lang="fr">Produit le journal  partir de RSS.</al:description>
<al:description lang="en">Merge RSS into a newspaper.</al:description>

<al:input id='input'  list='yes'><al:match>rss</al:match>
<al:description lang="en">rss elements to present</al:description></al:input>
<al:output id='output' ><al:match>table</al:match>
<al:description lang="en">xhtml formatted newspaper</al:description></al:output>
</al:prototype>

<!-- root ================================================================== -->

<xsl:template match='al:arguments'>
  <table border="1" cellspacing="0" cellpadding="1">
  <tr>
  <th colspan="2"><h1>Internet Herald News</h1></th>
  </tr>

  <xsl:apply-templates select='rss/channel'/>

  </table>
</xsl:template>

 
<xsl:template match='rss/channel'>
  <tr>
   <th colspan="2">
    <xsl:element name='a'>
      <xsl:attribute name='href'><xsl:value-of select='link'/></xsl:attribute>
      <xsl:value-of select='title'/>
    </xsl:element>
    <em><xsl:value-of select='description'/></em>
   </th>
  </tr>
  <xsl:apply-templates select='item'/>
</xsl:template>


<xsl:template match='item'>
    <tr>
      <td>
        <xsl:element name='a'>
          <xsl:attribute name='href'><xsl:value-of select='link'/></xsl:attribute>
          <xsl:value-of select='title'/>
        </xsl:element>
      </td>
      <td>
        <xsl:apply-templates mode='multi' select='description'/>
      </td>
    </tr>
</xsl:template>

</xsl:transform>
